Subject: Re: bug#41564: Auctex on elpa, dated may 24th 2020 is broken

From: Marco Falconi <[email-masked]>
Date: Fri, 29 May 2020 19:16:55 +0200

Hi Tassilo,

I happily removed that function, and now everything is back to normal as you suggested.

I use the function to fontify in equations (that keeps working), but not the one that
fontifies theorems and lemmas, so I have not lost anything in removing that.

Many thanks for the very useful feedback!
Best,
_____
Marco

Tassilo Horn <[email-masked]> writes:

> Marco Falconi <[email-masked]> writes:
>
> Hi Marco,
>
>> Yes I have this function in my .emacs (since very long time, I forgot
>> about that, I probably copied it from some source).
>>
>> The full functions are as pasted below. Can you give me some hint on
>> how shall I modify them?
>
> Well, what those functions did was fontifying the contents of all
> theorem and lemma environments in font-latex-doctex-documentation-face,
> i.e., stuff like
>
>   \begin{theorem}
>     I am fontified in font-latex-doctex-documentation-face.
>   \end{theorem}
>
> You can create such environments with the ntheorem package, i.e.,
>
>   \usepackage{ntheorem}
>   \newtheorem{theorem}{Theorem}
>   \newtheorem{lemma}{Lemma}
>
> but it is a user's choice to name the environments theorem or lemma
> (though possibly you are using that convention).
>
> FWIW, I'd suggest to remove this customization entirely and check if it
> is allright for you to have theorem/lemma bodies fontified normally.
>
> If you feel like something deeply loved is missing then, I can rewrite
> your code to match the new font-latex business.
>
> Bye,
> Tassilo